searchNodes=[{"type":"module","title":"Appsignal","doc":"AppSignal for Elixir. Follow the installation guide to install AppSignal into your Elixir app. This module contains the main AppSignal OTP application, as well as a few helper functions for sending metrics to AppSignal.","ref":"Appsignal.html"},{"type":"function","title":"Appsignal.add_distribution_value/3","doc":"Add a value to a distribution Use this to collect multiple data points that will be merged into a graph.","ref":"Appsignal.html#add_distribution_value/3"},{"type":"function","title":"Appsignal.heartbeat/1","doc":"See Appsignal.Heartbeat.heartbeat/1 .","ref":"Appsignal.html#heartbeat/1"},{"type":"function","title":"Appsignal.heartbeat/2","doc":"See Appsignal.Heartbeat.heartbeat/2 .","ref":"Appsignal.html#heartbeat/2"},{"type":"function","title":"Appsignal.increment_counter/3","doc":"Increment a counter of a metric.","ref":"Appsignal.html#increment_counter/3"},{"type":"function","title":"Appsignal.instrument/1","doc":"See Appsignal.Instrumentation.instrument/1 .","ref":"Appsignal.html#instrument/1"},{"type":"function","title":"Appsignal.instrument/2","doc":"See Appsignal.Instrumentation.instrument/2 .","ref":"Appsignal.html#instrument/2"},{"type":"function","title":"Appsignal.instrument/3","doc":"See Appsignal.Instrumentation.instrument/3 .","ref":"Appsignal.html#instrument/3"},{"type":"function","title":"Appsignal.send_error/2","doc":"See Appsignal.Instrumentation.send_error/2 .","ref":"Appsignal.html#send_error/2"},{"type":"function","title":"Appsignal.send_error/3","doc":"See Appsignal.Instrumentation.send_error/3 .","ref":"Appsignal.html#send_error/3"},{"type":"function","title":"Appsignal.send_error/4","doc":"See Appsignal.Instrumentation.send_error/4 .","ref":"Appsignal.html#send_error/4"},{"type":"function","title":"Appsignal.set_error/2","doc":"See Appsignal.Instrumentation.set_error/2 .","ref":"Appsignal.html#set_error/2"},{"type":"function","title":"Appsignal.set_error/3","doc":"See Appsignal.Instrumentation.set_error/3 .","ref":"Appsignal.html#set_error/3"},{"type":"function","title":"Appsignal.set_gauge/3","doc":"Set a gauge for a measurement of a metric.","ref":"Appsignal.html#set_gauge/3"},{"type":"module","title":"Appsignal.Ecto","doc":"","ref":"Appsignal.Ecto.html"},{"type":"function","title":"Appsignal.Ecto.attach/0","doc":"Attaches Appsignal.Ecto to the Ecto telemetry channel configured in the application's configuration.","ref":"Appsignal.Ecto.html#attach/0"},{"type":"function","title":"Appsignal.Ecto.attach/2","doc":"Attaches Appsignal.Ecto to the Ecto telemetry channel based on the passed otp_app and repo .","ref":"Appsignal.Ecto.html#attach/2"},{"type":"module","title":"Appsignal.Ecto.Repo","doc":"","ref":"Appsignal.Ecto.Repo.html"},{"type":"function","title":"Appsignal.Ecto.Repo.default_options/1","doc":"","ref":"Appsignal.Ecto.Repo.html#default_options/1"},{"type":"module","title":"Appsignal.Heartbeat","doc":"","ref":"Appsignal.Heartbeat.html"},{"type":"function","title":"Appsignal.Heartbeat.finish/1","doc":"","ref":"Appsignal.Heartbeat.html#finish/1"},{"type":"function","title":"Appsignal.Heartbeat.heartbeat/1","doc":"","ref":"Appsignal.Heartbeat.html#heartbeat/1"},{"type":"function","title":"Appsignal.Heartbeat.heartbeat/2","doc":"","ref":"Appsignal.Heartbeat.html#heartbeat/2"},{"type":"function","title":"Appsignal.Heartbeat.new/1","doc":"","ref":"Appsignal.Heartbeat.html#new/1"},{"type":"function","title":"Appsignal.Heartbeat.start/1","doc":"","ref":"Appsignal.Heartbeat.html#start/1"},{"type":"type","title":"Appsignal.Heartbeat.t/0","doc":"","ref":"Appsignal.Heartbeat.html#t:t/0"},{"type":"module","title":"Appsignal.Heartbeat.Event","doc":"","ref":"Appsignal.Heartbeat.Event.html"},{"type":"function","title":"Appsignal.Heartbeat.Event.new/2","doc":"","ref":"Appsignal.Heartbeat.Event.html#new/2"},{"type":"type","title":"Appsignal.Heartbeat.Event.kind/0","doc":"","ref":"Appsignal.Heartbeat.Event.html#t:kind/0"},{"type":"type","title":"Appsignal.Heartbeat.Event.t/0","doc":"","ref":"Appsignal.Heartbeat.Event.html#t:t/0"},{"type":"module","title":"Appsignal.Instrumentation","doc":"","ref":"Appsignal.Instrumentation.html"},{"type":"function","title":"Appsignal.Instrumentation.instrument/2","doc":"Instrument a function. def call do Appsignal . instrument ( &quot;foo.bar&quot; , fn -&gt; :timer . sleep ( 1000 ) end ) end When passing a function that takes an argument, the function is called with the created span to allow adding extra information. def call ( params ) do Appsignal . instrument ( &quot;foo.bar&quot; , fn span -&gt; Appsignal.Span . set_sample_data ( span , &quot;params&quot; , params ) :timer . sleep ( 1000 ) end ) end","ref":"Appsignal.Instrumentation.html#instrument/2"},{"type":"function","title":"Appsignal.Instrumentation.instrument/3","doc":"Instrument a function, and set the &quot;appsignal:category&quot; attribute to the value passed as the category argument.","ref":"Appsignal.Instrumentation.html#instrument/3"},{"type":"function","title":"Appsignal.Instrumentation.instrument/4","doc":"","ref":"Appsignal.Instrumentation.html#instrument/4"},{"type":"function","title":"Appsignal.Instrumentation.send_error/2","doc":"Send an error in a newly created Appsignal.Span .","ref":"Appsignal.Instrumentation.html#send_error/2"},{"type":"function","title":"Appsignal.Instrumentation.send_error/3","doc":"Send an error in a newly created Appsignal.Span . Calls the passed function with the created Appsignal.Span before closing it.","ref":"Appsignal.Instrumentation.html#send_error/3"},{"type":"function","title":"Appsignal.Instrumentation.send_error/4","doc":"","ref":"Appsignal.Instrumentation.html#send_error/4"},{"type":"function","title":"Appsignal.Instrumentation.set_error/2","doc":"Set an error in the current root span.","ref":"Appsignal.Instrumentation.html#set_error/2"},{"type":"function","title":"Appsignal.Instrumentation.set_error/3","doc":"Set an error in the current root span by passing a kind and reason .","ref":"Appsignal.Instrumentation.html#set_error/3"},{"type":"module","title":"Appsignal.Instrumentation.Helpers","doc":"","ref":"Appsignal.Instrumentation.Helpers.html"},{"type":"function","title":"Appsignal.Instrumentation.Helpers.instrument/1","doc":"See Appsignal.Instrumentation.instrument/1 .","ref":"Appsignal.Instrumentation.Helpers.html#instrument/1"},{"type":"function","title":"Appsignal.Instrumentation.Helpers.instrument/2","doc":"See Appsignal.Instrumentation.instrument/2 .","ref":"Appsignal.Instrumentation.Helpers.html#instrument/2"},{"type":"function","title":"Appsignal.Instrumentation.Helpers.instrument/3","doc":"See Appsignal.Instrumentation.instrument/3 .","ref":"Appsignal.Instrumentation.Helpers.html#instrument/3"},{"type":"function","title":"Appsignal.Instrumentation.Helpers.instrument/4","doc":"","ref":"Appsignal.Instrumentation.Helpers.html#instrument/4"},{"type":"module","title":"Appsignal.IntegrationLogger","doc":"","ref":"Appsignal.IntegrationLogger.html"},{"type":"function","title":"Appsignal.IntegrationLogger.debug/1","doc":"","ref":"Appsignal.IntegrationLogger.html#debug/1"},{"type":"function","title":"Appsignal.IntegrationLogger.error/2","doc":"","ref":"Appsignal.IntegrationLogger.html#error/2"},{"type":"function","title":"Appsignal.IntegrationLogger.info/1","doc":"","ref":"Appsignal.IntegrationLogger.html#info/1"},{"type":"function","title":"Appsignal.IntegrationLogger.trace/1","doc":"","ref":"Appsignal.IntegrationLogger.html#trace/1"},{"type":"function","title":"Appsignal.IntegrationLogger.warn/2","doc":"","ref":"Appsignal.IntegrationLogger.html#warn/2"},{"type":"type","title":"Appsignal.IntegrationLogger.device/0","doc":"","ref":"Appsignal.IntegrationLogger.html#t:device/0"},{"type":"type","title":"Appsignal.IntegrationLogger.log_level/0","doc":"","ref":"Appsignal.IntegrationLogger.html#t:log_level/0"},{"type":"module","title":"Appsignal.Logger","doc":"","ref":"Appsignal.Logger.html"},{"type":"function","title":"Appsignal.Logger.alert/3","doc":"","ref":"Appsignal.Logger.html#alert/3"},{"type":"function","title":"Appsignal.Logger.critical/3","doc":"","ref":"Appsignal.Logger.html#critical/3"},{"type":"function","title":"Appsignal.Logger.debug/3","doc":"","ref":"Appsignal.Logger.html#debug/3"},{"type":"function","title":"Appsignal.Logger.emergency/3","doc":"","ref":"Appsignal.Logger.html#emergency/3"},{"type":"function","title":"Appsignal.Logger.error/3","doc":"","ref":"Appsignal.Logger.html#error/3"},{"type":"function","title":"Appsignal.Logger.info/3","doc":"","ref":"Appsignal.Logger.html#info/3"},{"type":"function","title":"Appsignal.Logger.log/5","doc":"","ref":"Appsignal.Logger.html#log/5"},{"type":"function","title":"Appsignal.Logger.notice/3","doc":"","ref":"Appsignal.Logger.html#notice/3"},{"type":"function","title":"Appsignal.Logger.warning/3","doc":"","ref":"Appsignal.Logger.html#warning/3"},{"type":"type","title":"Appsignal.Logger.format/0","doc":"","ref":"Appsignal.Logger.html#t:format/0"},{"type":"type","title":"Appsignal.Logger.log_level/0","doc":"","ref":"Appsignal.Logger.html#t:log_level/0"},{"type":"module","title":"Appsignal.Logger.Backend","doc":"","ref":"Appsignal.Logger.Backend.html"},{"type":"function","title":"Appsignal.Logger.Backend.handle_call/2","doc":"Callback implementation for :gen_event.handle_call/2 .","ref":"Appsignal.Logger.Backend.html#handle_call/2"},{"type":"function","title":"Appsignal.Logger.Backend.handle_event/2","doc":"Callback implementation for :gen_event.handle_event/2 .","ref":"Appsignal.Logger.Backend.html#handle_event/2"},{"type":"function","title":"Appsignal.Logger.Backend.init/1","doc":"Callback implementation for :gen_event.init/1 .","ref":"Appsignal.Logger.Backend.html#init/1"},{"type":"module","title":"Appsignal.Logger.Handler","doc":"","ref":"Appsignal.Logger.Handler.html"},{"type":"function","title":"Appsignal.Logger.Handler.add/2","doc":"","ref":"Appsignal.Logger.Handler.html#add/2"},{"type":"function","title":"Appsignal.Logger.Handler.log/2","doc":"","ref":"Appsignal.Logger.Handler.html#log/2"},{"type":"function","title":"Appsignal.Logger.Handler.remove/0","doc":"","ref":"Appsignal.Logger.Handler.html#remove/0"},{"type":"protocol","title":"Appsignal.Metadata","doc":"","ref":"Appsignal.Metadata.html"},{"type":"function","title":"Appsignal.Metadata.category/1","doc":"","ref":"Appsignal.Metadata.html#category/1"},{"type":"function","title":"Appsignal.Metadata.metadata/1","doc":"","ref":"Appsignal.Metadata.html#metadata/1"},{"type":"function","title":"Appsignal.Metadata.name/1","doc":"","ref":"Appsignal.Metadata.html#name/1"},{"type":"function","title":"Appsignal.Metadata.params/1","doc":"","ref":"Appsignal.Metadata.html#params/1"},{"type":"function","title":"Appsignal.Metadata.session/1","doc":"","ref":"Appsignal.Metadata.html#session/1"},{"type":"type","title":"Appsignal.Metadata.t/0","doc":"All the types that implement this protocol.","ref":"Appsignal.Metadata.html#t:t/0"},{"type":"module","title":"Appsignal.Span","doc":"","ref":"Appsignal.Span.html"},{"type":"function","title":"Appsignal.Span.add_error/3","doc":"Add an error to an Appsignal.Span by passing an exception from a rescue block, and a stack trace. Example span = Appsignal.Tracer . root_span ( ) try raise &quot;Exception!&quot; rescue exception -&gt; Appsignal.Span . add_error ( span , exception , __STACKTRACE__ ) end","ref":"Appsignal.Span.html#add_error/3"},{"type":"function","title":"Appsignal.Span.add_error/4","doc":"Add an error to an Appsignal.Span by passing a kind and reason from a catch block, and a stack trace. Example span = Appsignal.Tracer . root_span ( ) try raise &quot;Exception!&quot; catch kind , reason -&gt; Appsignal.Span . add_error ( span , kind , reason , __STACKTRACE__ ) end","ref":"Appsignal.Span.html#add_error/4"},{"type":"function","title":"Appsignal.Span.close/1","doc":"Close an Appsignal.Span . Example Appsignal.Tracer . root_span ( ) |&gt; Span . close ( )","ref":"Appsignal.Span.html#close/1"},{"type":"function","title":"Appsignal.Span.close/2","doc":"Close an Appsignal.Span with an explicit end time. Example Appsignal.Tracer . root_span ( ) |&gt; Span . close ( span , :os . system_time ( ) )","ref":"Appsignal.Span.html#close/2"},{"type":"function","title":"Appsignal.Span.create_child/2","doc":"Create a child Appsignal.Span . Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . create_child ( self ( ) )","ref":"Appsignal.Span.html#create_child/2"},{"type":"function","title":"Appsignal.Span.create_child/3","doc":"Create a child Appsignal.Span with an explicit start time. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . create_child ( self ( ) , :os . system_time ( ) )","ref":"Appsignal.Span.html#create_child/3"},{"type":"function","title":"Appsignal.Span.create_root/2","doc":"Create a root Appsignal.Span with a namespace and a pid. For a description of namespaces, see set_namespace/2 . Example Appsignal.Span . create_root ( &quot;http_request&quot; , self ( ) )","ref":"Appsignal.Span.html#create_root/2"},{"type":"function","title":"Appsignal.Span.create_root/3","doc":"Create a root Appsignal.Span with a namespace, a pid and an explicit start time. For a description of namespaces, see set_namespace/2 . Example Appsignal.Span . create_root ( &quot;http_request&quot; , self ( ) , :os . system_time ( ) )","ref":"Appsignal.Span.html#create_root/3"},{"type":"function","title":"Appsignal.Span.set_attribute/3","doc":"Sets an Appsignal.Span attribute. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_attribute ( &quot;appsignal:category&quot; , &quot;query.ecto&quot; )","ref":"Appsignal.Span.html#set_attribute/3"},{"type":"function","title":"Appsignal.Span.set_name/2","doc":"Sets an Appsignal.Span 's name. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_name ( &quot;PageController#index&quot; )","ref":"Appsignal.Span.html#set_name/2"},{"type":"function","title":"Appsignal.Span.set_name_if_nil/2","doc":"Sets an Appsignal.Span 's name if it was not set before. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_name_if_nil ( &quot;PageController#index&quot; )","ref":"Appsignal.Span.html#set_name_if_nil/2"},{"type":"function","title":"Appsignal.Span.set_namespace/2","doc":"Sets an Appsignal.Span 's namespace. The namespace is &quot;http_request&quot; or &quot;background_job' to add the span to the &quot;web&quot; and &quot;background&quot; namespaces respectively. Passing another string creates a custom namespace to store the Appsignal.Span 's samples in. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_namespace ( &quot;http_request&quot; )","ref":"Appsignal.Span.html#set_namespace/2"},{"type":"function","title":"Appsignal.Span.set_sample_data/3","doc":"Sets sample data for an Appsignal.Span . Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_sample_data ( &quot;environment&quot; , %{ &quot;method&quot; =&gt; &quot;GET&quot; } )","ref":"Appsignal.Span.html#set_sample_data/3"},{"type":"function","title":"Appsignal.Span.set_sample_data_if_nil/3","doc":"Sets sample data for an Appsignal.Span , unless it has already been set. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_sample_data_if_nil ( &quot;environment&quot; , %{ &quot;method&quot; =&gt; &quot;GET&quot; } )","ref":"Appsignal.Span.html#set_sample_data_if_nil/3"},{"type":"function","title":"Appsignal.Span.set_sql/2","doc":"Sets the &quot;appsignal:body&quot; attribute with an SQL query string. Example Appsignal.Tracer . root_span ( ) |&gt; Appsignal.Span . set_sql ( &quot;SELECT * FROM users&quot; )","ref":"Appsignal.Span.html#set_sql/2"},{"type":"type","title":"Appsignal.Span.t/0","doc":"","ref":"Appsignal.Span.html#t:t/0"},{"type":"module","title":"Appsignal.Tracer","doc":"","ref":"Appsignal.Tracer.html"},{"type":"function","title":"Appsignal.Tracer.close_span/1","doc":"Closes a span and deregisters it. Example Appsignal.Tracer . current_span ( ) |&gt; Appsignal.Tracer . close_span ( )","ref":"Appsignal.Tracer.html#close_span/1"},{"type":"function","title":"Appsignal.Tracer.close_span/2","doc":"Closes a span and deregisters it. Takes an options list, which currently only accepts a List with an :end_time integer. Example Appsignal.Tracer . current_span ( ) |&gt; Appsignal.Tracer . close_span ( end_time : :os . system_time ( ) )","ref":"Appsignal.Tracer.html#close_span/2"},{"type":"function","title":"Appsignal.Tracer.create_span/1","doc":"Creates a new root span. Example Appsignal.Tracer . create_span ( &quot;http_request&quot; )","ref":"Appsignal.Tracer.html#create_span/1"},{"type":"function","title":"Appsignal.Tracer.create_span/2","doc":"Creates a new child span. Example parent = Appsignal.Tracer . current_span ( ) Appsignal.Tracer . create_span ( &quot;http_request&quot; , parent )","ref":"Appsignal.Tracer.html#create_span/2"},{"type":"function","title":"Appsignal.Tracer.create_span/3","doc":"Creates a new span, with an optional parent or pid. Example parent = Appsignal.Tracer . current_span ( ) Appsignal.Tracer . create_span ( &quot;http_request&quot; , parent , [ start_time : :os . system_time ( ) , pid : self ( ) ] )","ref":"Appsignal.Tracer.html#create_span/3"},{"type":"function","title":"Appsignal.Tracer.current_span/0","doc":"Returns the current span in the current process.","ref":"Appsignal.Tracer.html#current_span/0"},{"type":"function","title":"Appsignal.Tracer.current_span/1","doc":"Returns the current span in the passed pid's process.","ref":"Appsignal.Tracer.html#current_span/1"},{"type":"function","title":"Appsignal.Tracer.custom_on_create_fun/1","doc":"This function can be defined by the user and will be executed on the creation of the span after create_span/3 is executed. It can be used to add custom_data to the span. Example in your own application: defmodule MyApp.Appsignal do def custom_on_create_fun(span) do Appsignal.Span.set_sample_data(span, &quot;custom_data&quot;, %{&quot;foo&quot;: &quot;bar&quot;}) end end This can be added to the config with: config :appsignal, custom_on_create_fun: &amp;MyApp.Appsignal.custom_on_create_fun/1","ref":"Appsignal.Tracer.html#custom_on_create_fun/1"},{"type":"function","title":"Appsignal.Tracer.delete/1","doc":"Removes the process' spans from the registry.","ref":"Appsignal.Tracer.html#delete/1"},{"type":"function","title":"Appsignal.Tracer.ignore/0","doc":"Ignores the current process.","ref":"Appsignal.Tracer.html#ignore/0"},{"type":"function","title":"Appsignal.Tracer.ignore/1","doc":"Ignores the given process.","ref":"Appsignal.Tracer.html#ignore/1"},{"type":"function","title":"Appsignal.Tracer.lookup/1","doc":"Finds the span in the registry table.","ref":"Appsignal.Tracer.html#lookup/1"},{"type":"function","title":"Appsignal.Tracer.root_span/0","doc":"Returns the root span in the current process.","ref":"Appsignal.Tracer.html#root_span/0"},{"type":"function","title":"Appsignal.Tracer.root_span/1","doc":"Returns the root span in the passed pid's process.","ref":"Appsignal.Tracer.html#root_span/1"},{"type":"type","title":"Appsignal.Tracer.option/0","doc":"","ref":"Appsignal.Tracer.html#t:option/0"},{"type":"type","title":"Appsignal.Tracer.options/0","doc":"","ref":"Appsignal.Tracer.html#t:options/0"},{"type":"module","title":"Appsignal.Transaction","doc":"","ref":"Appsignal.Transaction.html"},{"type":"function","title":"Appsignal.Transaction.complete/1","doc":"","ref":"Appsignal.Transaction.html#complete/1"},{"type":"function","title":"Appsignal.Transaction.finish/1","doc":"","ref":"Appsignal.Transaction.html#finish/1"},{"type":"function","title":"Appsignal.Transaction.generate_id/0","doc":"","ref":"Appsignal.Transaction.html#generate_id/0"},{"type":"function","title":"Appsignal.Transaction.set_action/1","doc":"","ref":"Appsignal.Transaction.html#set_action/1"},{"type":"function","title":"Appsignal.Transaction.set_error/3","doc":"","ref":"Appsignal.Transaction.html#set_error/3"},{"type":"function","title":"Appsignal.Transaction.set_error/4","doc":"","ref":"Appsignal.Transaction.html#set_error/4"},{"type":"function","title":"Appsignal.Transaction.set_sample_data/2","doc":"","ref":"Appsignal.Transaction.html#set_sample_data/2"},{"type":"module","title":"Appsignal.TransactionRegistry","doc":"","ref":"Appsignal.TransactionRegistry.html"},{"type":"function","title":"Appsignal.TransactionRegistry.lookup/1","doc":"","ref":"Appsignal.TransactionRegistry.html#lookup/1"},{"type":"function","title":"Appsignal.TransactionRegistry.register/1","doc":"","ref":"Appsignal.TransactionRegistry.html#register/1"},{"type":"module","title":"Appsignal.Utils.ArgumentCleaner","doc":"","ref":"Appsignal.Utils.ArgumentCleaner.html"},{"type":"function","title":"Appsignal.Utils.ArgumentCleaner.clean/1","doc":"","ref":"Appsignal.Utils.ArgumentCleaner.html#clean/1"},{"type":"function","title":"Appsignal.Utils.ArgumentCleaner.clean/2","doc":"","ref":"Appsignal.Utils.ArgumentCleaner.html#clean/2"},{"type":"function","title":"Appsignal.Utils.ArgumentCleaner.clean_literal/1","doc":"","ref":"Appsignal.Utils.ArgumentCleaner.html#clean_literal/1"},{"type":"module","title":"Appsignal.Utils.Literal","doc":"","ref":"Appsignal.Utils.Literal.html"},{"type":"task","title":"Mix.Tasks.Appsignal.Demo","doc":"","ref":"Mix.Tasks.Appsignal.Demo.html"},{"type":"function","title":"Mix.Tasks.Appsignal.Demo.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Appsignal.Demo.html#run/1"},{"type":"task","title":"Mix.Tasks.Appsignal.Diagnose","doc":"","ref":"Mix.Tasks.Appsignal.Diagnose.html"},{"type":"function","title":"Mix.Tasks.Appsignal.Diagnose.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Appsignal.Diagnose.html#run/1"},{"type":"function","title":"Mix.Tasks.Appsignal.Diagnose.send_report_to_appsignal/2","doc":"","ref":"Mix.Tasks.Appsignal.Diagnose.html#send_report_to_appsignal/2"},{"type":"task","title":"Mix.Tasks.Appsignal.Install","doc":"","ref":"Mix.Tasks.Appsignal.Install.html"},{"type":"function","title":"Mix.Tasks.Appsignal.Install.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Appsignal.Install.html#run/1"},{"type":"extras","title":"AppSignal for Elixir","doc":"AppSignal for Elixir monitors errors, performance and servers for Elixir applications. AppSignal.com website AppSignal for Elixir documentation Package documentation Support","ref":"readme.html"},{"type":"extras","title":"AppSignal for Elixir - Installation","doc":"Please follow the installation guide on how to install and use this library. Then, add custom instrumentation or use one of the framework integrations to automatically gain performance insights and error notifications. Currently, AppSignal has framework integrations for Plug and Phoenix and applications.","ref":"readme.html#installation"},{"type":"extras","title":"AppSignal for Elixir - Usage","doc":"AppSignal will automatically monitor requests, report any exceptions that are thrown and any performance issues that might have occurred. You can also add extra information to requests by adding custom instrumentation. Read more in our instrumentation guide .","ref":"readme.html#usage"},{"type":"extras","title":"AppSignal for Elixir - Configuration","doc":"A complete list of all configurable options for AppSignal for Elixir is available in our documentation .","ref":"readme.html#configuration"},{"type":"extras","title":"AppSignal for Elixir - Development","doc":"Setup Before you can start developing on the AppSignal for Elixir project make sure you have Elixir installed . This repository is managed by mono . Install mono on your local machine by following the mono installation steps . Then make sure you have all the project's dependencies installed by running the following command: $ mono bootstrap Testing Testing is done with ExUnit and can be run with the mix test command. You can also supply a path to a specific file path you want to test and even a specific line on which the test you want to run is defined. $ mono test # The original command can still be used $ mix test $ mix test test/appsignal/some_test.ex:123 This project has several different test suites defined with different mix environments. You can run them by specifying the specific type of test suite in the MIX_ENV environment variable. # Default $ MIX_ENV = test mix test # Run the test suite with the NIF inoperational. This will generate errors # because the NIF is not active, but should run without failures. $ MIX_ENV = test_no_nif mix test Benchmarking This package uses benchee to benchmark code. To run the benchmarker: $ MIX_ENV=bench mix run bench/&lt;file&gt;.exs AddressSanitizer A memory testing setup is included to detect memory errors in the NIF. It's set up in a Docker container to ensure reproducability. To run the tests, build the container, which will build a version of the NIF with AddressSanitizer enabled. Then, run it with an APPSIGNAL_PUSH_API_KEY and APPSIGNAL_APP_NAME set to ensure AppSignal is enabled, and to be able to verify that data appears in AppSignal after running the test: docker build -- platform linux / amd64 - t appsignal - elixir - asan . docker run \\ -- env APPSIGNAL_PUSH_API_KEY = 00000000 - 0000 - 0000 - 0000 - 000000000000 \\ -- env APPSIGNAL_APP_NAME = &quot;appsignal-elixir&quot; \\ -- rm \\ -- \\ appsignal - elixir - asan This test runs spans.exs , which is a script that calls most functions in the NIF. Branches and versions The main branch corresponds to the current release of the library. The develop branch is used for development of features that will end up in the next minor release. If you fix a bug open a pull request on main , if it's a new feature on develop . Making changes When making changes to the project that require a release, add a changeset that will be used to update the generated CHANGELOG.md file upon release . $ mono changeset add Publishing new versions Merge the develop branch to main if necessary. Run mono publish and follow the instructions. Updating the CI build matrix Update .semaphore/versions.rb to add or remove Elixir/OTP versions, or .semaphore/semaphore.yml.erb . Run script/generate_ci_matrix .","ref":"readme.html#development"},{"type":"extras","title":"AppSignal for Elixir - Contributing","doc":"Thinking of contributing to our Elixir package? Awesome! 🚀 Please follow our Contributing guide in our documentation and follow our Code of Conduct . Also, we would be very happy to send you Stroopwafles. Have look at everyone we send a package to so far on our Stroopwafles page .","ref":"readme.html#contributing"},{"type":"extras","title":"AppSignal for Elixir - Support","doc":"Contact us and speak directly with the engineers working on AppSignal. They will help you get set up, tweak your code and make sure you get the most out of using AppSignal. Also see our SUPPORT.md file .","ref":"readme.html#support"},{"type":"extras","title":"AppSignal for Elixir - License","doc":"The AppSignal for Elixir package source code is released under the MIT License. Check the LICENSE file for more information.","ref":"readme.html#license"},{"type":"extras","title":"AppSignal for Elixir changelog","doc":"","ref":"changelog.html"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.12.0","doc":"Published on 2024-06-05. Changed 6ce84310 minor - Group GraphQL queries by operation names if available. It will no longer group all errors and performance measurements under the same action name. If no operation name is set, it will use the default action name of the HTTP request route, like POST /graphql . If you do not wish to use the operation name, or customize the action name for the GraphQL query request, use the Appsignal.Span.set_name in a plug middleware that is called before or after the HTTP request is made: Appsignal.Span . set_name ( Appsignal.Tracer . root_span ( ) , &quot;MyActionName&quot; )","ref":"changelog.html#2-12-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.11.0","doc":"Published on 2024-06-04. Added 4508bd10 patch - Add Appsignal.Span.set_name_if_nil helper. This helper can be used to not overwrite previously set span names, and only set the span name if it wasn't set previously. This will used most commonly in AppSignal created integrations with other libraries to allow apps to set custom span names. Changed cb7c2e9d minor - Turn error backend off by default. This will prevent errors from being reported without much context. If you're missing errors after this change, set the enable_error_backend config option to true , and let us know what errors you're missing at support@appsignal.com . 4b8bbf75 patch - Add debug and error logs to probes to better track what it's doing. This is helpful when debugging issues with the minutely probes system.","ref":"changelog.html#2-11-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.10.2","doc":"Published on 2024-05-14. Added 1a87c94a patch - Support Kamal-based deployments. Read the KAMAL_VERSION environment variable, which Kamal exposes within the deployed container, if present, and use it as the application revision if it is not set. This will automatically report deploy markers for applications using Kamal. Changed a19671f6 patch - Log debug messages when metrics are received for easier debugging.","ref":"changelog.html#2-10-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.10.1","doc":"Published on 2024-04-25. Fixed 5a7810c8 patch - Fix the Phoenix filter_parameters config option support for partial key matches. When configuring config :phoenix, filter_parameters with [&quot;key&quot;] or {:discard, [&quot;key&quot;]} , it now also matches partial keys like &quot;my_key&quot; , just like Phoenix's logger does.","ref":"changelog.html#2-10-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.10.0","doc":"Published on 2024-04-22. Added 840e6c0b minor - Heartbeats are currently only available to beta testers. If you are interested in trying it out, send an email to support@appsignal.com ! Add heartbeats support. You can send heartbeats directly from your code, to track the execution of certain processes: def send_invoices do # ... your code here ... Appsignal . heartbeat ( &quot;send_invoices&quot; ) end You can pass a function to Appsignal.heartbeat , to report to AppSignal both when the process starts, and when it finishes, allowing you to see the duration of the process: def send_invoices do Appsignal . heartbeat ( &quot;send_invoices&quot; , fn -&gt; # ... your code here ... end ) end If an exception is thrown within the function, the finish event will not be reported to AppSignal, triggering a notification about the missing heartbeat. The exception will bubble outside of the heartbeat function. d56d3ebd patch - Implement the ignore_logs configuration option, which can also be configured as the APPSIGNAL_IGNORE_LOGS environment variable. The value of ignore_logs is a list (comma-separated, when using the environment variable) of log line messages that should be ignored. For example, the value &quot;start&quot; will cause any message containing the word &quot;start&quot; to be ignored. Any log line message containing a value in ignore_logs will not be reported to AppSignal. The values can use a small subset of regular expression syntax (specifically, ^ , $ and .* ) to narrow or expand the scope of lines that should be matched. For example, the value &quot;^start$&quot; can be used to ignore any message that is exactly the word &quot;start&quot;, but not messages that merely contain it, like &quot;Process failed to start&quot;. The value &quot;Task .* succeeded&quot; can be used to ignore messages about task success regardless of the specific task name. Fixed 38511da4 patch - Remove broken link about 1.x upgrade","ref":"changelog.html#2-10-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.9.2","doc":"Published on 2024-03-22. Fixed 4567ce04 patch - Drop non-500 Plug errors in add_error/3","ref":"changelog.html#2-9-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.9.1","doc":"Published on 2024-03-20. Added c833c8a4 patch - Implement CPU count configuration option. Use it to override the auto-detected, cgroups-provided number of CPUs that is used to calculate CPU usage percentages. To set it, use the cpu_count configuration option, or the APPSIGNAL_CPU_COUNT environment variable.","ref":"changelog.html#2-9-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.9.0","doc":"Published on 2024-03-06. Added be785ea9 patch - Add histogram support to the OpenTelemetry HTTP server. This allows OpenTelemetry-based instrumentations to report histogram data to AppSignal as distribution metrics. Changed 2d3130fd minor - Breaking change : Normalize CPU metrics for cgroups v1 systems. When we can detect how many CPUs are configured in the container's limits, we will normalize the CPU percentages to a maximum of 100%. This is a breaking change. Triggers for CPU percentages that are configured for a CPU percentage higher than 100% will no longer trigger after this update. Please configure triggers to a percentage with a maximum of 100% CPU percentage. 1566a4a8 patch - Update the Mix config import in the config/appsignal.exs file to use import Config , rather than the deprecated use Mix.Config . 2d3130fd patch - Support fractional CPUs for cgroups v2 metrics. Previously a CPU count of 0.5 would be interpreted as 1 CPU. Now it will be correctly seen as half a CPU and calculate CPU percentages accordingly. fb7568ac patch - Update bundled trusted root certificates. Fixed ad0fdb0c patch - Fix (sub)traces not being reported in their entirety when the OpenTelemetry exporter sends one trace in multiple export requests. This would be an issue for long running traces, that are exported in several requests.","ref":"changelog.html#2-9-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.8.3","doc":"Published on 2024-02-01. Added e685b22f patch - Set data on spans with the custom_on_create_fun hook. This hook is called upon the creation of every span. This can be useful to add tags to internal traces and otherwise difficult to access traces. This won't be necessary for most scenarios. We recommend following our tagging guide instead. defmodule MyApp.Appsignal do def custom_on_create_fun ( _span ) do Appsignal.Span . set_sample_data ( Appsignal.Tracer . root_span , &quot;tags&quot; , %{ &quot;locale&quot; : &quot;en&quot; } ) end end # config/config.exs config :appsignal , custom_on_create_fun : &amp; MyApp.Appsignal . custom_on_create_fun / 1 Changed 924a3ffa patch - Make the debug log message for OpenTelemetry spans from libraries we don't automatically recognize more clear. Mention the span id and the instrumentation library. 924a3ffa patch - Fix an issue where queries containing a MySQL leading type indicator would only be partially sanitised.","ref":"changelog.html#2-8-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.8.2","doc":"Added 47f4a8df patch - Add Appsignal.Ecto.Repo to support parallel preloads. For AppSignal to be able to instrument parallel preloads, the current instrumentation context needs to be passed from the Elixir process that spawns the preload to the short-lived processes that run each of the parallel queries. By replacing use Ecto.Repo with use Appsignal.Ecto.Repo , the appropriate telemetry context will be passed so that AppSignal can correctly instrument these queries: defmodule MyApp.Repo do # replace `use Ecto.Repo` with `use Appsignal.Ecto.Repo` use Appsignal.Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres end","ref":"changelog.html#2-8-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.8.1","doc":"Changed 40dc85ef patch - Fix disk usage returning a Vec with no entries on Alpine Linux when the df --local command fails. 92d948fa patch - Add support for lists in the sample data as root values on spans, as shown below. Previously we only supported lists as nested objects in maps. Appsignal.Span . set_sample_data ( Appsignal.Tracer . root_span , &quot;custom_data&quot; , [ &quot;value 1&quot; , &quot;value 2&quot; ] ) Removed 40dc85ef patch - Remove the appsignal_set_host_gauge and appsignal_set_process_gauge extension functions. These functions were already deprecated and did not report any metrics. Fixed 9ec351a7 patch - Fix missing error metrics for the error rate and error count graphs in some scenarios, like with Node.js Koa apps. a339fc1d patch - Add support for keywords lists in sample data on spans. These would previously be shown an empty list. Appsignal.Span . set_sample_data ( Appsignal.Tracer . root_span , &quot;custom_data&quot; , %{ &quot;keyword_list&quot; : [ foo : &quot;some value&quot; , &quot;bar&quot; : &quot;other value&quot; ] } )","ref":"changelog.html#2-8-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.8.0","doc":"Changed 8e8911f0 minor - Always use Jason to encode JSON. This removes the need to install either Jason or Poison alongside AppSignal, simplifying our installation instructions. 9dbf8d82 patch - Filter more disk mountpoints for disk usage and disk IO stats. This helps reduce noise in the host metrics by focussing on more important mountpoints.The following mountpoint are ignored. Any mountpoint containing: /etc/hostname /etc/hosts /etc/resolv.conf /snap/ /proc/ Fixed 9dbf8d82 patch - - Support disk usage reporting (using df ) on Alpine Linux. This host metric would report an error on Alpine Linux. When a disk mountpoint has no inodes usage percentage, skip the mountpoint, and report the inodes information successfully for the inodes that do have an inodes usage percentage.","ref":"changelog.html#2-8-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.13","doc":"Changed c883847a patch - Bump agent to eec7f7b Updated the probes dependency to 0.5.2. CPU usage is now normalized to the number of CPUs available to the container. This means that a container with 2 CPUs will have its CPU usage reported as 50% when using 1 CPU instead of 100%. This is a breaking change for anyone using the cpu probe. If you have CPU triggers set up based on the old behaviour, you might need to update those to these new normalized values to get the same behaviour. Note that this is needed only if the AppSignal integration package you're using includes this change.","ref":"changelog.html#2-7-13"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.12","doc":"Changed 33f08759 patch - Improve Ecto transaction instrumentation. Queries performed as part of an Ecto.Multi or an Ecto.Repo.transaction were already individually instrumented, but now they are displayed in the event timeline as child events of a broader transaction event. An additional event is added at the end of the transaction, to denote whether the transaction was committed or rolled back.","ref":"changelog.html#2-7-12"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.11","doc":"Changed dae88280 patch - Bump agent to b604345. Add an exponential backoff to the retry sleep time to bind to the StatsD, NGINX and OpenTelemetry exporter ports. This gives the agent a longer time to connect to the ports if they become available within a 4 minute window. Changes to the agent logger: Logs from the agent and extension now use a more consistent format in logs for spans and transactions. Logs that are for more internal use are moved to the trace log level and logs that are useful for debugging most support issues are moved to the debug log level. It should not be necessary to use log level 'trace' as often anymore. The 'debug' log level should be enough. Add running_in_container to agent diagnose report, to be used primarily by the Python package as a way to detect if an app's host is a container or not. e6c4c79f patch - Bump agent to 1dd2a18. When adding an SQL body attribute via the extension, instead of truncating the body first and sanitising it later, sanitise it first and truncate it later. This prevents an issue where queries containing very big values result in truncated sanitisations. Fixed 197e3610 patch - Avoid reporting an Oban insert job event as a new incident. This should fix an issue where &quot;insert job&quot; events with little information show up in AppSignal as their own incidents when Oban jobs are inserted from an uninstrumented context that has no parent spans.","ref":"changelog.html#2-7-11"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.10","doc":"Added 68ec699e patch - Implement an Erlang :logger handler for sending logs from AppSignal, in preparation for the eventual deprecation of Elixir logger backends. Add a convenience method to configure this logger handler automatically, with the right settings for AppSignal: Appsignal.Logger.Handler . add ( &quot;my_app&quot; , :plaintext ) To remove the logging handler, call the .remove method: Appsignal.Logger.Handler . remove ( ) Changed cc526cb6 patch - Bump agent to e8207c1. Add memory_in_percentages and swap_in_percentages host metrics that represents metrics in percentages. Ignore /snap/ disk mountpoints. Fix issue with the open span count in logs being logged as a negative number. Fix agent's TCP server getting stuck when two requests are made within the same fraction of a second. Fixed bcbc1c6a patch - Fix configuration options set with atoms. The options log and log_level can now be set as an Atom, and we'll cast them to a string internally to avoid any ArgumentError from the Nif. 92a7e886 patch - Fix support for warning log_level . Only warn would work, now warning also works as documented.","ref":"changelog.html#2-7-10"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.9","doc":"Fixed ebd39c39 patch - Bump agent to 6133900. Fix disk_inode_usage metric name format to not be interpreted as a JSON object.","ref":"changelog.html#2-7-9"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.8","doc":"Added 489615ae patch - Add the host_role config option. This config option can be set per host to generate some metrics automatically per host and possibly do things like grouping in the future. Changed 7b3875b2 patch - Bump agent to 6bec691. Upgrade sql_lexer to v0.9.5. It adds sanitization support for the THEN and ELSE logical operators. 7781f405 patch - Bump agent to version d789895. Increase short data truncation from 2000 to 10000 characters.","ref":"changelog.html#2-7-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.7","doc":"Added 75e70db2 patch - Use RENDER_GIT_COMMIT environment variable as revision if no revision is specified. 7c3103ae patch - Allow JSON and Logfmt log messages 2b3eab1d patch - Allow configuration of the agent's TCP and UDP servers using the bind_address config option. This is by default set to 127.0.0.1 , which only makes it accessible from the same host. If you want it to be accessible from other machines, use 0.0.0.0 or a specific IP address. 08aedeef patch - Report total CPU usage host metric for VMs. This change adds another state tag value on the cpu metric called total_usage , which reports the VM's total CPU usage in percentages. Changed ece48144 patch - Bump agent to 32590eb. Only ignore disk metrics that start with &quot;loop&quot;, not all mounted disks that end with a number to report metrics for more disks. Fixed b7089a8e patch - Handle atoms for categories in transaction_event decorator","ref":"changelog.html#2-7-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.6","doc":"Added be411435 patch - Add set_sample_data_if_nil function to Appsignal.Span , allowing for parameters to be set only if they would not override other parameters. be411435 patch - Use RENDER_GIT_COMMIT environment variable as revision if no revision is specified.","ref":"changelog.html#2-7-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.5","doc":"Changed 5e5918f5 patch - Improve argument cleaning. The output should appear in a more familiar format for Elixir developers. Potentially personally identifiable data is removed and the output is truncated to make it easier to understand, while attempting to provide enough information to differentiate between different function clauses. Fixed af402113 patch - Improve Tracer performance by removing duplicate runtime configuration and storage checks","ref":"changelog.html#2-7-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.4","doc":"Fixed dcdac33e patch - Add handling for cowboy error edge cases to prevent error backend crashes","ref":"changelog.html#2-7-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.3","doc":"Added 37810e11 patch - Allow configuration of the agent's StatsD server port through the statsd_port option. 0caf8330 patch - Add automatic instrumentation for Tesla. Changed 7e7c097d patch - Bump agent to fd8ee9e. Rely on APPSIGNAL_RUNNING_IN_CONTAINER config option value before other environment factors to determine if the app is running in a container. Fix container detection for hosts running Docker itself. Add APPSIGNAL_STATSD_PORT config option.","ref":"changelog.html#2-7-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.2","doc":"Changed 49467767 patch - Update agent to v-f9b0c15 Add more span API logging.","ref":"changelog.html#2-7-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.1","doc":"Fixed 8b8d06fa patch - Trim SQL attributes in spans. This fixes an issue where very big payloads are sent from the Elixir integration.","ref":"changelog.html#2-7-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.0","doc":"Changed 885c3618 patch - Update agent to version 6f29190. Log revision config in boot debug log. Update internal agent CLI start command. Rename internal _APPSIGNAL_ENVIRONMENT variable to _APPSIGNAL_APP_ENV to be consistent with the public version. 87946896 patch - Update bundled trusted root certificates. 704da7a9 patch - Bump agent to 4a0a036. Fix a transmission requeueing problem with queued payloads.","ref":"changelog.html#2-7-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.7.0-beta.1","doc":"Added 45deeedd minor - Add Absinthe instrumentation","ref":"changelog.html#2-7-0-beta-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.6.1","doc":"Fixed 2bc1346f patch - Handle unexpected events in Logger backend","ref":"changelog.html#2-6-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.6.0","doc":"Added 6462f802 minor - Add Logger backend to redirect Elixir logs to AppSignal. Changed 2d424448 patch - Bump agent to 8d042e2. Support multiple log formats. a886a2b7 patch - Bump agent to dee4fcb. Support cgroups v2. Used by newer Docker engines to report host metrics. Upgrade if you receive no host metrics for Docker containers. Remove trailing comments in SQL queries, ensuring queries are grouped consistently.","ref":"changelog.html#2-6-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.5.3","doc":"Changed a4a23ded patch - Bump agent to 0d593d5 Report shared memory metric state.","ref":"changelog.html#2-5-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.5.2","doc":"Added 63adf596 patch - Add NGINX metrics support. See our documentation for details.","ref":"changelog.html#2-5-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.5.1","doc":"Added 837e0285 patch - Add config options to disable automatic Ecto, Finch and Oban instrumentations. Set instrument_ecto , instrument_finch or instrument_oban to false in order to disable that instrumentation. b3a77a73 patch - Add a report_oban_errors config option to decide when to report Oban errors. When set to &quot;all&quot; , all errors will be reported; when set to &quot;none&quot; , no errors will be reported. Set it to &quot;discard&quot; to only report errors when the job is discarded due to the error and won't be re-attempted. e52997c8 patch - Add metadata functions for Plug/Phoenix apps Fixed 837e0285 patch - Fix the default value of enable_error_backend so it defaults to true when the config option is not set.","ref":"changelog.html#2-5-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.5.0","doc":"Added bc14f302 minor - Add Oban instrumentation. Jobs processed by your Oban workers will now be instrumented with AppSignal, and job insertions will appear as events in your performance samples' event timelines. 65107c60 patch - Track the Operating System release/distro in the diagnose report. This helps us with debugging what exact version of Linux an app is running on, for example.","ref":"changelog.html#2-5-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.4.3","doc":"Fixed 1b69bf4e patch - Fix an issue where user configuration enabling metrics for Hackney would cause the AppSignal Agent installation to fail.","ref":"changelog.html#2-4-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.4.2","doc":"Fixed a5c810d4 patch - Fix an issue where reporting an exception for a function call whose arguments contain a map of PID would raise a second exception instead.","ref":"changelog.html#2-4-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.4.1","doc":"Changed 4473ffee patch - Add enable_error_backend configuration option","ref":"changelog.html#2-4-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.4.0","doc":"Added beb0c43b minor - Support log collection from Elixir apps using the new AppSignal Logging feature. Learn more about AppSignal's Logging on our docs . Changed b2dddb11 patch - Replace arguments in stack traces with sanitized versions instead of stripping them out completely","ref":"changelog.html#2-4-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.3.1","doc":"Fixed 5a9b4b6c patch - Fix FunctionClauseError for old Finch versions. This change explicitly ignores events from old Finch versions, meaning only Finch versions 0.12 and above will be instrumented, but using Finch versions 0.11 and below won't cause an event handler crash.","ref":"changelog.html#2-3-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.3.0","doc":"Added 2aaf55be minor - Add Finch integration. HTTP requests performed with Finch will show up as events in the sample view.","ref":"changelog.html#2-3-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.19","doc":"Fixed be7825e1 patch - Fix extension linking on Alpine Linux ARM64 systems.","ref":"changelog.html#2-2-19"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.18","doc":"Fixed 05f59d31 patch - Fix compile-time error about symbol names starting with a comma. Updated the linking script to not include the comma.","ref":"changelog.html#2-2-18"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.17","doc":"Fixed b600e85a patch - Fix compile-time warning about an unused funtion in the extension. The _set_span_attribute_sql_string function wasn't hooked up, which didn't produce any issues since the SQL queries coming from Ecto don't need to be sanitized any further (sensitive data is already stripped out). This patch still runs them through AppSignal's SQL sanitizer to fix the warning and behave as promised, theoretically. 910ad1dd patch - Fix compile-time error that broke linking on macOS 12.6, more specifically the latest Xcode at this time (version 14.0 14A309).","ref":"changelog.html#2-2-17"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.16","doc":"Changed 03b8306a patch - Bump agent to 06391fb Accept &quot;warning&quot; value for the log_level config option. Add aarch64 Linux musl build. Improve debug logging from the extension. Fix high CPU issue for appsignal-agent when nothing could be read from the socket. Fixed 4d72d791 patch - Always return :ok from Appsignal.config_change/3 914f013b patch - Always return the Span from span setter functions, to allow for chaining setter calls with optional values","ref":"changelog.html#2-2-16"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.15","doc":"Changed ab876253 patch - Bump agent to v-d573c9b Clean up payload storage before sending. Should fix issues with locally queued payloads blocking data from being sent. Add OpenTelemetry support for the Span API. Not currently implemented in this package's extension. Fixed d66ad2d8 patch - Always return the Span from Span.set_attribute/3, making it easier to chain this function call.","ref":"changelog.html#2-2-15"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.14","doc":"Fixed ffb3ab29 patch - Fix compile-time error with empty configurations c3599ae9 patch - Improve the error message on extension load failure. The error message will now print more details about the installed and expected architecture when they mismatch. This is most common on apps mounted on a container after first being installed on the host with a different architecture than the container. 4ac415f1 patch - Don't crash at compile time when AppSignal is not configured","ref":"changelog.html#2-2-14"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.13","doc":"Fixed 26be6e58 patch - Fix session data by reverting the sample data key change","ref":"changelog.html#2-2-13"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.12","doc":"Added 65c5d716 patch - Don't set session data when the send_session_data configuration is set to false","ref":"changelog.html#2-2-12"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.11","doc":"Added e287e58c patch - Allow ignoring specific pids through Tracer.ignore/1 c325114a patch - Log messages are now sent through a centralised logger, defaulting to logging to the /tmp/appsignal.log file. To log to standard output instead, set the log config property to &quot;stdout&quot; . 96c60363 patch - Don't set parameters when the send_params configuration is set to false Changed bb6c7a65 patch - Add the config &quot;override&quot; source to better communicate and help debug when certain config options are set. This is used by the diagnose report. The override source is used to set the new config option value when a config option has been renamed, like send_session_data . 003a2edd patch - The extension installation will no longer fail when the CA certificate file is not accessible. db97b2f6 patch - Bump agent to v-bbc830a Support batched statsd messages Set start times for spans with traceparents Check duration in transactions for negative and too high values 709224ad patch - Bump agent to v-f57e6cb Enable process metrics on Heroku and Dokku","ref":"changelog.html#2-2-11"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.10","doc":"Added 0469f4b2 patch - Add send_session_data option to configure if session data is automatically included in spans. By default this is turned on. It can be disabled by configuring send_session_data to false . Changed ffe65216 patch - Remove Ruby exclusive headers from request_headers defaults. c0a98928 patch - Bump AppSignal agent version to 15ee07b. Add internal tracking of transmission duration. 8c14f827 patch - The diagnose library report now reports the agent version from the committed agent file, rather than the downloaded version, which is reported in the installation report. Deprecated 0469f4b2 patch - Deprecate skip_session_data option in favor of the newly introduced send_session_data option. If it is configured, it will print a warning on AppSignal load, but will also retain its functionality until the config option is fully removed in the next major release. Fixed e4ec8e68 patch - Prefer the value of the log_level config option, instead of the deprecated debug config option, when deciding whether to log a debug message. If log_level does not have a value, or its value is invalid, the values of the deprecated debug and transaction_debug_mode config options are taken into account.","ref":"changelog.html#2-2-10"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.9","doc":"Fixed 2b78e1e2 patch - Fix debug and transaction_debug_mode log options. If set, previously the log_level would remain &quot;info&quot;, since version 2.2.8.","ref":"changelog.html#2-2-9"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.8","doc":"Added 4a9bcca3 patch - Add &quot;log_level&quot; config option. This new option allows you to select the type of messages AppSignal's logger will log and up. The &quot;debug&quot; option will log all &quot;debug&quot;, &quot;info&quot;, &quot;warning&quot; and &quot;error&quot; log messages. The default value is: &quot;info&quot;The allowed values are: error warning info debug 10078177 patch - Add send_environment_metadata config option to configure the environment metadata collection. For more information, see our environment metadata docs . 10078177 patch - Add the Erlang scheduler utilization to the metrics reported by the minutely probes. The metric is reported as a percentage value with the name erlang_scheduler_utilization , with the tag type set to &quot;normal&quot; and the tag id set to the ID of the scheduler in the Erlang VM. Changed 10078177 patch - Bump agent to v-5b63505 Only filter parameters with the filter_parameters config option. Only filter session data with the filter_session_data config option. 10078177 patch - Remove the valid key from the diagnose output. It's not a configuration option that can be configured, but an internal state check if the configuration was considered valid. 10078177 patch - Print the extension installation dependencies and flags in the diagnose report output. 10078177 patch - Standardize diagnose validation failure message. Explain the diagnose request failed and why. f3bb8546 patch - Bump agent to v-0db01c2 Add log_level config option in extension. Deprecate debug and transaction_debug_mode option in extension. Deprecated 4a9bcca3 patch - Deprecate &quot;debug&quot; and &quot;transaction_debug_mode&quot; config options in favor of the new &quot;log_level&quot; config option. Removed f40ead99 patch - Remove the unused allocation tracking config option. Fixed 10078177 patch - Fix a bug where setting the :phoenix, :filter_parameters configuration key to an allow-list of the form {:keep, [keys]} would apply this filtering to all sample data maps. The filtering is now only applied to the params sample data map. 10078177 patch - Fix the Push API key validator request query params encoding. 10078177 patch - When the Push API key config option value is an empty string, or a string with only whitespace characters, it is not considered valid anymore. 10078177 patch - Transmit the path file modes in the diagnose report as an octal number. Previously it send values like 33188 and now it transmits 100644 , which is a bit more human readable. 10078177 patch - Improve parameter and session data filtering options. Previously all filtering was done with one combined denylist of parameters and session data. Now filter_parameters only applies to parameters, and filter_session_data only applies to session data. 10078177 patch - Fix the download of the agent during installation when Erlang is using an OpenSSL version that does not support TLS 1.3, such as versions below OpenSSL 1.1.1. ad0b00f1 patch - Suppress a warning emitted by Telemetry 1.0.0, regarding the performance penalty of using local functions as event handlers, by specifying the module of the captured function.","ref":"changelog.html#2-2-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.7","doc":"f07f9cf9 patch - Bump agent to 09308fb. Update sql_lexer dependency with support for reversed operators in queries. Add debug level logging to custom metrics in transaction_debug_mode. Add hostname config option to standalone agent.","ref":"changelog.html#2-2-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.6","doc":"acb7295 patch - Print String values in the diagnose report surrounded by quotes, and booleans as &quot;true&quot; and &quot;false&quot;, rather than &quot;yes&quot; and &quot;no&quot;. Makes it more clear that it's a value and not a label we print. e71792f patch - Fix diagnose output rendering an additional empty line for the appsignal.log file. It appeared that only 9 lines were printed instead of the 10 expected lines. 422cbd1 patch - Render the install report errors in the diagnose CLI output fewer times. A missing download and/or install report could sometimes be displayed up to two times, in total four errors. f7c0b1e patch - Support mix task diagnose arguments. When an app is released with mix release CLI arguments cannot normally be passed to the diagnose task. Use the eval command pass along the CLI arguments as function arguments. mix format # Without arguments bin / your_app eval &#39;:appsignal_tasks.diagnose()&#39; # With arguments bin / your_app eval &#39;:appsignal_tasks.diagnose([&quot;--send-report&quot;])&#39; c51c065 patch - Update diagnose output labels to be similar to our other language integrations. 9d3e253 patch - Add new config option to enable/disable StatsD server in the AppSignal agent. This new config option is called enable_statsd and is set to false by default. If set to true , the AppSignal agent will start a StatsD server on port 8125 on the host.","ref":"changelog.html#2-2-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.5","doc":"e7d676a9 patch - Update SSL configuration for OTP 23 and newer to fix the Cloudfront mirror download during installation. 7ccf75ce patch - Fix install result message to no longer show a success message when an installation failure occurred.","ref":"changelog.html#2-2-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.4","doc":"787684bf patch - Installation report improved for download errors. Download errors are more descriptive in the installation result of the diagnose report.","ref":"changelog.html#2-2-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.3","doc":"b89ab7bc patch - Bump agent to 7376537 Support JSON PostgreSQL operator in sql_lexer. Do not strip comments from SQL queries.","ref":"changelog.html#2-2-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.2","doc":"c6772da3 patch - Fix extension installer from cached source in /tmp directory. This would cause installation errors of the package if the AppSignal package was reinstalled again on a host that already installed it once.","ref":"changelog.html#2-2-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.1","doc":"a7987f3 patch - Add mirrors to download the agent","ref":"changelog.html#2-2-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.2.0","doc":"1d7b7a3 minor - Use underscores instead of slashes in spans created from decorators. This will change action naming from Module.function/1 to Module.function_1 . 7927a3f patch - Bump agent to v-0318770. Improve Dokku platform detection. Do not disable host metrics on Dokku. Report CPU steal metric.","ref":"changelog.html#2-2-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.15","doc":"325c985 patch - Add support for telemetry 1.0.0","ref":"changelog.html#2-1-15"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.14","doc":"231abb13 patch - Bump agent to 0f40689 Add Apple Darwin ARM alias. Improve appsignal.h documentation. Improve transaction debug log for errors. Fix agent zombie/defunct issue on containers without process reaping.","ref":"changelog.html#2-1-14"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.13","doc":"2531288d patch - Fix Apple ARM detection. It wasn't properly detected as an Apple ARM host because the installer did not account for an architecture String a without 32/64-bit indicator.","ref":"changelog.html#2-1-13"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.12","doc":"0e2cd629 patch - Only create root spans from transaction and channel action decorators, as they're meant to only be used when no span exists yet.","ref":"changelog.html#2-1-12"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.11","doc":"4ba38f9 patch - Bump agent to v-891c6b0. Add experimental Apple Silicon M1 ARM64 build.","ref":"changelog.html#2-1-11"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.10","doc":"523e229e patch - Bump agent to version that is compatible with different error grouping types.","ref":"changelog.html#2-1-10"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.9","doc":"76a31400 patch - Add Linux ARM override value to diagnose report. This was omitted from the original implementation of the APPSIGNAL_BUILD_FOR_LINUX_ARM flag. 07d1ea17 patch - Bump agent to c2024bf with appsignal-agent diagnose timing issue fix when reading the report and improved filtering for HTTP request transmission logs.","ref":"changelog.html#2-1-9"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.8","doc":"b2c888dc patch - Update APPSIGNAL_BUILD_FOR_MUSL behavior to only listen to the values 1 and true . This way APPSIGNAL_BUILD_FOR_MUSL=false is not interpreted to install the musl build. f467daf9 patch - Add Linux ARM 64-bit experimental build, available behind a feature flag. To test this set the APPSIGNAL_BUILD_FOR_LINUX_ARM flag before compiling your apps: export APPSIGNAL_BUILD_FOR_LINUX_ARM=1 &lt;command&gt; . Please be aware this is an experimental build. Please report any issue you may encounter at our support email . b8075176 patch - Use MapSet s for Monitor 's internal monitor list. As uniqueness is guaranteed (you can't monitor a particular pid more than once), MapSet is a better data structure to store this information, since all its operations are constant-time instead of linear-time. Track erlang_atoms gauge in erlang probe. This reports the atom_limit and atom_count metrics. PR #651","ref":"changelog.html#2-1-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.7","doc":"Keep internal list of monitors in Appsignal.Monitor process. PR 648","ref":"changelog.html#2-1-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.6","doc":"Fix Appsignal.logger debug level issue on no config present. PR #644 Bump agent to d08ae6c. PR #645. Fix span API related issues with empty events for error samples and missing incidents.","ref":"changelog.html#2-1-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.5","doc":"Add Appsignal.Logger to only log debug messages when the :debug configuration is turned on. PR #642","ref":"changelog.html#2-1-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.4","doc":"Ensure the :request_headers config returns an empty list by default. PR #637","ref":"changelog.html#2-1-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.3","doc":"Use pid from conn in Error.Backend if available. PR #631","ref":"changelog.html#2-1-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.2","doc":"Make sure Appsignal.se(nd|t)_error is properly delegated. PR #629","ref":"changelog.html#2-1-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.1","doc":"Probes.handle_info/2 handles non-exception errors. PR #626","ref":"changelog.html#2-1-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.1.0","doc":"Pass functions to set error PR #622 Pass Elixir exceptions to Appsignal.Instrumentation.se(t|nd)_error/2 . PR #620","ref":"changelog.html#2-1-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.8","doc":"Clear warnings. PR #623","ref":"changelog.html#2-0-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.7","doc":"Let set error use root span. PR (#611) Bump agent to v-44e4d97 Implement ignore namespaces for spans. PR #645","ref":"changelog.html#2-0-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.6","doc":"Monitor all registered spans. PR #608 Switch to reference-based child Span API, fixes memory leak when using child spans. PR #607","ref":"changelog.html#2-0-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.5","doc":"Don't register query spans without parents. PR #600","ref":"changelog.html#2-0-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.4","doc":"Bump agent to v-c55fb2c Fix ignore actions and spans without names bugs. PR #639","ref":"changelog.html#2-0-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.3","doc":"Bump agent to v-f9d2b57 Add error counts to map for spans. PR #638","ref":"changelog.html#2-0-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.2","doc":"Use &quot;channel&quot; namespace in channel_action decorator. PR #596","ref":"changelog.html#2-0-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.1","doc":"Ignore unhandled info, code_change and terminate in Error.Backend. PR #594 Explicitly ignore returns from Span functions. PR #593","ref":"changelog.html#2-0-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 2.0.0","doc":"Set categories from transaction_event/3 decorator fallback. PR #583 Remove Plug and Phoenix fallbacks in favour of post-install message. PR #582 Bump agent to v-881e3b3 Agent writes diagnose to file, extension reads from file. PR #628 Ignore actions when creating span payload. PR #630 Update Cargo.lock after bumping probes-rs and running cargo update. PR #633 Bump agent to v-5b16a75 Fixed a version mismatch issue in the agent which caused no samples to be processed Bump agent to v-38010f3 Use Rust 1.46.0 and spawn agent without waiting for it. PR #618 Set category names in demo command Commit dd5a4c019f403a5c55be0f4f07bda8d85385aef4 Add Repo configuration. PR #578 Link AppSignal config when config/config.exs does not exist. PR #577 Set category from Appsignal.Instrumentation.instrument/3 Commit c8a789e9ff5dfe0d5a522448a923f94a1f54b63d Add debug log lines on handler attachment Commit 44f594dc6c4fa00b0ecb329aea16907cb106a67a Commit 23a9cd0bf063e96c9b87ca2b2cf797ab96d4f96b Commit a0ac8566f1d200152748b98f938ba78813767f9e Bump agent to v-c8f8185. PR #575 Implement _set_span_namespace. PR #576 Tracer handles registry being down Commit 86e433e42ebfd080d5a1f8450f9a29784ef2d4d9 Handle nil-spans in span.set_namespace/2 Commit d0f5d9d96890f0caaa80c58c7a34a343b722591e Restore Appsignal.send_error/3 and Appsignal.set_error/3. PR #574 Remove unused module attributes from Appsignal module Switch to span-based API Reimplement error handling Reimplement Ecto integration Split out Plug integration into separate library Split out Phoenix integration into separate library Bump agent to v-a21a12a","ref":"changelog.html#2-0-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.5","doc":"Bump agent to v-20f7d0d Spawn agent without waiting for it. PR #618 Agent writes diagnose to file, extension reads from file. PR #628","ref":"changelog.html#1-13-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.4","doc":"Bump agent to v-4548c88 Fix issue with host metrics values being reported as &quot;Infinity&quot;. PR #572","ref":"changelog.html#1-13-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.3","doc":"Add callback for TransactionBehaviour.set_sample_data/2 . PR #560 Use tls 1.3 cipher suites on OTP 23. PR #571","ref":"changelog.html#1-13-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.2","doc":"Handle non-string-non-atom-non-iteger values in Transaction.to_s/1 Commit 772cb943b6d545942a50042a268d441973adab23","ref":"changelog.html#1-13-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.1","doc":"Use __STACKTRACE__ /0 on Elixir &gt;= 1.7. PR 559 Relax live_view dependency to allow versions over 0.9. PR #558 Bump agent to v-96b684b Check if queued payloads are for correct app and not expired","ref":"changelog.html#1-13-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.13.0","doc":"Add LiveView instrumentation helpers. PR #549 Fix typespec for Appsignal.Phoenix.Channel.channel_action/4. PR #553 Add record event callback to TransactionBehaviour. PR #555","ref":"changelog.html#1-13-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.12.1","doc":"EventHandler handles router_dispatch events with plug_opts #547","ref":"changelog.html#1-12-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.12.0","doc":"Add explicit error handling for Phoenix channels. PR #527 Add Phoenix Telemetry event handler to add Phoenix 1.5 instrumentation. PR #528 &amp; #538 Before version Phoenix version 1.5. AppSignal’s Phoenix instrumentation depended on data from the Phoenix instrumenter, and the installation instructions included a step to attach AppSignal’s instrumenter to your application in your app’s configuration: config :appsignal_phoenix_example , AppsignalPhoenixExampleWeb.Endpoint , #... instrumenters : [ Appsignal.Phoenix.Instrumenter ] From Phoenix 1.5 on, the old Phoenix instrumentation is deprecated and removed in favor of the new Telemetry-based instrumentation. When upgrading to Phoenix 1.5, you’ll see a warning during compilation when using the old instrumenters: [ warn ] :instrumenters configuration for AppsignalPhoenixExampleWeb.Endpoint is deprecated and has no effect To switch to the new instrumentation, make sure you're running version 1.12.0 of the AppSignal integration or higher. Then, remove the instrumenters configuration option from your endpoint configuration. The new instrumentation should appear automatically in your samples as an event named call.phoenix_endpoint.","ref":"changelog.html#1-12-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.8","doc":"Reduce calls to pids_and_monitor_references/1 and :ets.match/1 #543. PR #543","ref":"changelog.html#1-11-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.7","doc":"Return the Ecto.LogEntry even if the transaction is nil. PR #542","ref":"changelog.html#1-11-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.6","doc":"Call pids_and_monitor_references/1 from TransactionRegistry. PR #541","ref":"changelog.html#1-11-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.5","doc":"Use a complete set of ssl_options for Hackney. PR #534","ref":"changelog.html#1-11-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.4","doc":"Add transaction_debug configuration option. PR #526 Bump agent to v-c348132 Improve transmitter logging on timeout Improve queued payloads transmitter. Should prevent payloads being sent multiple times. Add transaction debug mode Wrap Option in Mutex in TransactionInProgess","ref":"changelog.html#1-11-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.3","doc":"Transaction.set_action/2 returns the Transaction on failure. commit 16e5ecbc90aece993177da7e1b2486fa477e25e8 Don't match on :ok on Appsignal.Plug.finish_with_conn/2. commit ebc7dd968a9bbeff3447e8f84dab181205f976ed","ref":"changelog.html#1-11-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.2","doc":"Run receiver monitors in receiver process. PR #525. Move action nil-check to Appsignal.Transaction.set_action/2 . PR #523.","ref":"changelog.html#1-11-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.1","doc":"Don't match on return from Transaction.complete/1 . PR #521","ref":"changelog.html#1-11-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.11.0","doc":"Convert time units for all Ecto callbacks. PR #481 Deactivate AppSignal when not active. PR #478 Fix FreeBSD compilation. PR #484 Extract ETS and Receiver logic from TransactionRegistry. PR #505 Add support for both Jason and Poison. PR #506 Add Erlang Run Queue length metric. PR #492 Filter structs in MapFilter. PR #507","ref":"changelog.html#1-11-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.13","doc":"OTP 22.1 hackney workaround for honor_cipher_order. PR #516 Bump agent to v-690f4b8 - commit 5245f919d975135d553a89b019c421e1fe27edd3 Validate transmission_interval option.","ref":"changelog.html#1-10-13"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.12","doc":"Bump agent to v-e1c9363 Better detect zombie/defunct processes on containers and consider the processes dead. This should improve the appsignal-agent start behavior. Detect revision from Heroku dynos automatically when Dyno Metadata is turned on.","ref":"changelog.html#1-10-12"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.11","doc":"Bump agent to v-a718022 Fix container CPU runtime metrics. See https://github.com/appsignal/probes-rs/pull/38 for more information. Improve host metrics calculations accuracy for counter metrics. See https://github.com/appsignal/probes-rs/pull/40 for more information. Support Kernel 4.18+ format of /proc/diskstats file parsing. See https://github.com/appsignal/probes-rs/pull/39 for more information.","ref":"changelog.html#1-10-11"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.10","doc":"Restore get filter (parameters|session_data) to patch backwards compatibility. PR #500","ref":"changelog.html#1-10-10"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.9","doc":"Support parameter filtering with {:keep, params}. PR #499","ref":"changelog.html#1-10-9"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.8","doc":"Handle non-maps in Config.active?/0. PR #495 Use Phoenix &gt;= 1.2.0 and &lt; 1.4.0 on Elixir 1.3. PR #496","ref":"changelog.html#1-10-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.7","doc":"Fix musl detection on installation. PR #493","ref":"changelog.html#1-10-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.6","doc":"Use the bundled certificate and ciphers when downloading agent (#491) Explicitly set ciphers in hackney https requests (#489) Remove log statements from TransactionRegisty (#490) Improve ldd version error handling (#487)","ref":"changelog.html#1-10-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.5","doc":"Remove explicit ignore check in TransactionRegistry. PR #480 Handle errors in Mix.Appsignal.Helper.uid/0. PR #479","ref":"changelog.html#1-10-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.4","doc":"Handle atom keys in MapFilter.filter_values/2. PR #475","ref":"changelog.html#1-10-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.3","doc":"Track memory metrics of the current process. PR #473","ref":"changelog.html#1-10-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.2","doc":"Fix memory leak in custom metrics key names. Commit 91c65e51cc949e66b3f504444f3570858a598352","ref":"changelog.html#1-10-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.1","doc":"Add enable_minutely_probes config option. PR #470 Tag hostnames in ErlangProbe. PR #469 Don't use fetch_env!/2 in ErlangProbe. PR #471","ref":"changelog.html#1-10-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.10.0","doc":"Store extension installation details in report. PR #433 Fail AppSignal extension installation on warnings Commit 7b17a0b86f87ea7097315d1247ccd52c78be8e97 Rescue make command errors Commit 69efc629eaa0a3f3a3e2d8c3871f3c7bba86c151 Add response status codes to Plug samples. PR #453 Use :logger instead of :error_logger on OTP &gt;= 21. PR #454 Allow Appsignal.Plug.call/2 to be overridden. PR #464 Use proxy from system environment when downloading agent. PR #458 Bump agent to 4a275d3 Commit 0635e043d4b299d7ec838f89ca4d36c3ed3792ce Support container CPU host metrics. Support StatsD server in agent. Fix samples being reported for multiple namespaces. Report memory and swap usage in percent using the memory_usage and swap_usage metrics. Add Erlang Probe. PR #466 Minutely Probing for Custom Metrics. PR #461","ref":"changelog.html#1-10-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.9.4","doc":"Update Ecto integration to support both Telemetry 0.3.x and 0.4.x. PR #459","ref":"changelog.html#1-9-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.9.3","doc":"Support send_params option. PR #456","ref":"changelog.html#1-9-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.9.2","doc":"Fix multi user permission issue for agent directories and files. Commit fdd650097b702a8aa60ee90ee93ad4e3e3365d81","ref":"changelog.html#1-9-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.9.1","doc":"Block on ignoring PIDs in TransactionRegistry. PR #448","ref":"changelog.html#1-9-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.9.0","doc":"Add missing host OS field to diagnose report. PR #418 Link back to AppSignal diagnose report page. PR #420 Add Error.metadata/2 to extract error metadata. PR #423 Format values printed in the diagnose. PR #426 Update diagnose paths section. PR #427 Add unified ErrorHandler. PR #425 Fix appsignal.log default path. PR #429 Support container memory host metrics better. PR #431 Change files_world_accessible permissions to not make files executable. PR #431 Make agent debug logging for disk IO metrics more robust. PR #431","ref":"changelog.html#1-9-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.8.2","doc":"Add Appsignal.Ecto.handle_event/4 to support Ecto 3. PR #416 Add diagnose command --[no-]send-report option. PR #414 Group extension and agent tests in diagnose output. PR #413 Add new agent &amp; extension diagnose report keys. PR #412 Pretty print lists in diagnose output. PR #408 Add :poison to :applications. PR #404 Add :hackney to :applications. PR #403 Allow Appsignal.send_error/1-7 to be called without a stack trace. PR #400 Use Mix.shell.info instead of Logger.info in mix helpers. PR #399","ref":"changelog.html#1-8-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.8.1","doc":"Fix linking issues on multi-stage build setups. PR #406","ref":"changelog.html#1-8-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.8.0","doc":"Add working_directory_path config option. PR #363 Use doubles values in custom metrics functions. PR #384 Support Elixir 1.7. PR #386","ref":"changelog.html#1-8-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.7.2","doc":"Ensure ca_file_path is written to agent env. PR #381 Use gmake over make when gmake executable exists. PR #382","ref":"changelog.html#1-7-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.7.1","doc":"Fix absolute path to CA certificate file. PR #380","ref":"changelog.html#1-7-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.7.0","doc":"Bundle CA certificate. PR #364 Add Appsignal.Transaction.set_namespace/1-2. PR #361 Use :hackney instead of cURL to download agent. PR #359","ref":"changelog.html#1-7-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.7","doc":"Revert container memory metrics fixes. PR #370 Fix _APP_REVISION read logic in extension. PR #370 Fix _APPSIGNAL_PROCESS_NAME read logic in extension. PR #370","ref":"changelog.html#1-6-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.6","doc":"Add container memory metrics fixes. Use local agent environment instead of system environment. PR #368","ref":"changelog.html#1-6-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.5","doc":"Allow calling Transaction.register/1 and Transaction.complete/1 when the Registry is not alive. PR #356","ref":"changelog.html#1-6-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.4","doc":"Overwrite message for Phoenix.ActionClauseError. PR #355","ref":"changelog.html#1-6-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.3","doc":"Remove script_name, query_string and peer from Plug.extract_sample_data/1. PR #351","ref":"changelog.html#1-6-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.2","doc":"Merge instead of ignore Phoenix's :filter_parameters if also configured in AppSignal. PR #349","ref":"changelog.html#1-6-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.1","doc":"Remove request_headers warning and use sane default. PR #346 Fix metrics format for internal agent metrics. PR #347","ref":"changelog.html#1-6-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.6.0","doc":"Explicit header whitelist in configuration (#336) Add filter_session_data config option (#343) Log with :info level instead of :warn when AppSignal is disabled (#340) Remove default hostname (#339) Remove filter_parameters config for extension (#337) Demonitor processes when the transaction completes (#333) Hard-remove transactions from the Registry (#332) Accept tags for (custom) metrics (#331) Don't register Transactions created by Appsignal.send_error/7 (#330) Remove transaction when calling Transaction.complete (#329) Add :request_headers and APPSIGNAL_REQUEST_HEADERS configuration (#327) Filter arguments in backtraces (#326) Relax :httpoison dependency to allow ~&gt; 1.0 (#322)","ref":"changelog.html#1-6-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.5.0","doc":"Add agent.exs file to package in mix.exs (#323) Restore :revision config (#315) Underscored environment variables are always overwritten (#316) Move compilation helper functions to mix_helpers.exs (#314) Use &quot;unknown&quot; as action for Plug-only transactions, set action before call/2 (#311) Bump agent to ca32965 (#310, #315) Underscore _APP_REVISION environment variable. Unset revision config option when the APP_REVISION environment variable only contains an empty string. Fix locking issue on diagnose mode run Increase stored length of error messages","ref":"changelog.html#1-5-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.10","doc":"Fix POST parameters in errors, take the Plug.Conn from Plug.Conn.WrapperErrors (#309)","ref":"changelog.html#1-4-10"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.9","doc":"Add x-real-ip to request header whitelist (#308) ErrorHandler doesn't cause warnings for noise over handle_info (#304)","ref":"changelog.html#1-4-9"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.8","doc":"Fix transaction metadata for send_error (#303) Use Application.load/1 in diagnose task (#297) Fix DataEncoder.encode error (#293) Update agent to fix locking issue in diagnose (#300)","ref":"changelog.html#1-4-8"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.7","doc":"Fix compile errors on Elixir 1.6 (#298)","ref":"changelog.html#1-4-7"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.6","doc":"Wrap WrapperError clause in Appsignal.plug? (#291) Don't use Plug.ErrorHandler. catch /4 in Appsignal.Plug (#287)","ref":"changelog.html#1-4-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.5","doc":"Ensure the appsignal application is started when running diagnose (#286)","ref":"changelog.html#1-4-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.4","doc":"ErrorHandler unwraps Plug.Conn.WrapperError (#281) Fetch request_id in Appsignal.Plug.extract_meta_data/1 (#283)","ref":"changelog.html#1-4-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.3","doc":"Fix dialyzer linting violations. (#271) Fix logger error on failed installation. (#275) Reuse Appsignal.agent module by unloading it after use in mix.exs . (#277)","ref":"changelog.html#1-4-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.2","doc":"Change log level from info to debug for value comparing failures. Commit 76fafebba5e37cfd2c303c286271f4616cf63bd3 Collect free memory host metric. Commit 76fafebba5e37cfd2c303c286271f4616cf63bd3","ref":"changelog.html#1-4-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.1","doc":"Use musl build for older systems (#274)","ref":"changelog.html#1-4-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.4.0","doc":"Add separate GNU linux build. PR #265 and Commit b9546cae01cd89d597586ad6c7dc4b5213fe2fca Add separate FreeBSD build Commit b9546cae01cd89d597586ad6c7dc4b5213fe2fca Auto restart agent when none is running Commit b9546cae01cd89d597586ad6c7dc4b5213fe2fca","ref":"changelog.html#1-4-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.6","doc":"Fix crashes when using a transaction from multiple processes in an unsupported way. Commit b9546cae01cd89d597586ad6c7dc4b5213fe2fca Allow string values in atom config fields (#269)","ref":"changelog.html#1-3-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.5","doc":"Allow multiple calls to send_error in one Transaction (#260)","ref":"changelog.html#1-3-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.4","doc":"Allow configuration of permissions of working directory. (#246) Fix locking bug that delayed extension shutdown. Commit 1953b2abced8c477af3eb973cc71b98c20761b51 Log extension start with app revision if present Commit 1953b2abced8c477af3eb973cc71b98c20761b51","ref":"changelog.html#1-3-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.3","doc":"No channel payloads in the channel_action decorator (#255) Add architecture for elixir:alpine Docker image (#256)","ref":"changelog.html#1-3-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.2","doc":"Don't crash with unbound channel payloads (#253)","ref":"changelog.html#1-3-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.1","doc":"Appsignal.Phoenix.Channel.channel_action/5 includes channel parameters (#251) Add files world accessible option to config (#246)","ref":"changelog.html#1-3-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.3.0","doc":"Plug support without Phoenix Transaction.set_request_metadata sets path and method Add arch mapping for 32bit linux Check if curl is installed before calling it Add ignore_namespaces option Whitelist request headers","ref":"changelog.html#1-3-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.2.3","doc":"Add architecture mappings for 32bit systems. (#229)","ref":"changelog.html#1-2-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.2.2","doc":"Better backtraces for linked processes (#207) Backtrace.format_stacktrace handles lists of binaries (#214)","ref":"changelog.html#1-2-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.2.1","doc":"Allow nil transaction in instrumentation (#198) ErrorHandler handles errors in tuples (#201) Set env: Mix.env in generated config.exs (#203) Improve registry lookup performance (#205)","ref":"changelog.html#1-2-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.2.0","doc":"Catch and handle errors in the Plug using Plug.ErrorHandler instead of in Appsignal.ErrorHandler (#187 &amp; #193)","ref":"changelog.html#1-2-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.1.1","doc":"Fix unpacking agent tar as root (#179) Add Instrumentation.Helpers.instrument/3 Add Appsignal.Backtrace, deprecate ErrorHandler.format_stack/1","ref":"changelog.html#1-1-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.1.0","doc":"Depend on Phoenix &gt;= 1.2.0 instead of ~&gt; 1.2.0 (#167) Reload the config in a separate process (#166) Add action names to exceptions (#162)","ref":"changelog.html#1-1-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.0.4","doc":"Fix propagation of transaction decorator return value (#164)","ref":"changelog.html#1-0-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.0.3","doc":"Force the agent to run in diagnostics mode even if the app's config doesn't have AppSignal marked as active. (#132 and #160) Remove duplicate config file linking output in installer (#159) Upon install deactivate test env if available rather than activate any other env (#159) Print missing APPSIGNAL_APP_ENV env var in installation instructions. (#161)","ref":"changelog.html#1-0-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.0.2","doc":"Remove extra comma from generated config/appsignal.exs (#158)","ref":"changelog.html#1-0-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.0.1","doc":"Remove (confusing revision logic) (#154)","ref":"changelog.html#1-0-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 1.0.0","doc":"Bump to 1.0.0 🎉","ref":"changelog.html#1-0-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.13.0","doc":"Send demo samples on install (#136) Make mix tasks available in releases (#146) Rename Phoenix framework event names (#148) Open and close Transactions in Appsignal.Phoenix.Plug.call/2 (#131)","ref":"changelog.html#0-13-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.12.3","doc":"Move package version to a module attribute (#143)","ref":"changelog.html#0-12-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.12.2","doc":"Bump agent to 5464697 Check agent version in Mix.Appsignal.Helper.ensure_downloaded/1 (#141)","ref":"changelog.html#0-12-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.12.1","doc":"Upgrade HTTPoison and allow more versions","ref":"changelog.html#0-12-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.12.0","doc":"Add mix appsignal.diagnose task (#81) Auto activate when push_api_key in env, not always (#89) Bump agent to f81fe90 Implement running_in_container detection. Fix DNS issue with musl and resolv.conf using &quot;search&quot; on the first line of configuration. Use agent.ex instead of agent.json, drop Poison dependency (#115) DataEncoder encodes bignums as strings (#88) Remove automatic :running_in_container setting (moved to agent)","ref":"changelog.html#0-12-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.6","doc":"Send body-&gt;data instead of body to appsignal_finish_event","ref":"changelog.html#0-11-6"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.5","doc":"Bump agent to version with extra null pointer protection","ref":"changelog.html#0-11-5"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.4","doc":"Bump agent (360f06b)","ref":"changelog.html#0-11-4"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.3","doc":"Update musl version to fix DNS search issue (a8e6f23)","ref":"changelog.html#0-11-3"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.2","doc":"Add support for non-strings as map values in DataEncoder.encode/1 (#83)","ref":"changelog.html#0-11-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.1","doc":"Add phoenix as optional dependency to :prod (#80) Add the module name to the transaction action while using decorators (#79)","ref":"changelog.html#0-11-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.11.0","doc":"Re-initialize Appsignal's config after a hot code upgrade. (#71) Send all request headers (#75) Add ErrorHandler.normalize_reason (#78) Elixir 1.4 compatibility Add fix for grabbing filter_parameters from Phoenix (#73) Add Alpine linux (#77) Add appsignal.demo mix task (#69) Drop Phoenix dependency #61","ref":"changelog.html#0-11-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.10.0","doc":"Check Appsignal.started?/1 in TransactionRegistry.lookup/2 (#54) Various configuration fixes (#55) Use APPSIGNAL_APP_ENV instead of APPSIGNAL_ENVIRONMENT (#56) The agent logs to STDOUT on Heroku (#60) Add a transcation decorator (#62) Update agent to 5f0c552 (#64) Enable host metrics by default (#66) DataEncoder.encode/2 handles tuples (#68) Registry.register/1 returns nil if Appsignal is not started (#70) Appsignal.Transaction.set_error/4 handles unformatted stacktraces (#72) Fix missing paren warnings in Elixir 1.4 (#59) Add support to refs and pids inside payloads (#57) Add centos/redhat support for agent installation (#48)","ref":"changelog.html#0-10-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.9.2","doc":"Fix Makefile for spaces in path names Set APPSIGNAL_IGNORE_ACTIONS from config (#41) Send metadata in Appsignal.ErrorHandler.submit_transaction/6 (#40) Add a section suggesting active: false in test env (#35)","ref":"changelog.html#0-9-2"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.9.1","doc":"Appsignal.Helpers has been moved to Appsignal.Instrumentation.Helpers","ref":"changelog.html#0-9-1"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.9.0","doc":"Remove instrumentation macros, switch to decorators Update channel decorators documentation Documentation on instrumentation decorators Let Appsignal.{set_gauge, add_distribution_value} accept integers (#31) Implement Appsignal.send_error (#29) Add documentation for filtered parameters (#28) Appsignal.Utils.ParamsEncoder.preprocess/1 handles structs (#30)","ref":"changelog.html#0-9-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.8.0","doc":"Experimental support for channels Add instrument_def macro for defining a single instrumented function Document that we are using a NIF and how it is used Simplified transaction functions no longer raise Don't warn about missing config when running tests remember original stacktrace in phoenix endpoint (#26)","ref":"changelog.html#0-8-0"},{"type":"extras","title":"AppSignal for Elixir changelog - 0.7.0","doc":"Allow Phoenix filter parameters and/or OS env variable to be used Send Phoenix session information Simplify Transaction API: Default to the current process transaction Add Transaction.filter_values/2 Transaction.set_request_metadata/2 filters parameters Fix host metrics config key in GettingStarted","ref":"changelog.html#0-7-0"}]